require "app_perform_metrics/version"
require "app_perform_metrics/railtie" if defined?(Rails)

module AppPerformMetrics
  class GetMetrics
    def initialize(app)
      @app = app
    end

    def call(env)
      env[:timestamp] = Time.now
      @app.call(env)
    end
  end
end
